Index: Singular/LIB/assprimeszerodim.lib
===================================================================
--- Singular/LIB/assprimeszerodim.lib	(revision d8423632ac2a14a2b19b324e619be2d5757af760)
+++ Singular/LIB/assprimeszerodim.lib	(revision f9ca02cf4e7ca6471ca05a1f4101af8205ac65ca)
@@ -106,5 +106,6 @@
                if(status(l(i), "read", "ready"))
                {
-                  P = read(l(i));                                        // read the result from l(i)
+                  //--- read the result from l(i) ---
+                  P = read(l(i));                                        
                   CO1[index] = P[1];
                   CO2[index] = bigint(P[2]);
@@ -123,9 +124,11 @@
                }
             }
-            if(k == n)                                                   // k describes the number of closed links
+            //--- k describes the number of closed links ---
+            if(k == n)                                                   
             {
                j++;
             }
-            i_sleep = system("sh", "sleep "+string(t));                  // sleep for t seconds
+            //--- sleep for t seconds ---
+            i_sleep = system("sh", "sleep "+string(t));                  
          }
       }
@@ -359,7 +362,9 @@
             for(i = 1; i <= n; i++)
             {
-               if(status(l(i), "read", "ready"))           // ask if link l(i) is ready otherwise sleep for t seconds
+               //--- ask if link l(i) is ready otherwise sleep for t seconds ---
+               if(status(l(i), "read", "ready"))           
                {
-                  P = read(l(i));                          // read the result from l(i)
+                  //--- read the result from l(i) ---
+                  P = read(l(i));                          
                   CO1[index] = P[1];
                   CO2[index] = bigint(P[2]);
@@ -378,5 +383,6 @@
                }
             }
-            if(k == n)                                     // k describes the number of closed links
+            //--- k describes the number of closed links ---
+            if(k == n)                                     
             {
                j++;
@@ -683,5 +689,5 @@
 {
 //=== computes a poly F in Z/q1[T] such that <F>=kernel(Z/q1[T]--->Z/q1[vars(basering)])
-//=== mapping T to p1 and test if d=deg(squarefreepart(F)), q1 a prime randomly choosen
+//=== mapping T to p1 and test if d=deg(squarefreepart(F)), q1 a prime randomly chosen
 //=== If not choose randomly another prime q2 and another linear form p2 and
 //=== computes a poly F in Z/q2[T] such that <F>=kernel(Z/q2[T]--->Z/q2[vars(basering)])
@@ -742,5 +748,6 @@
 static proc zeroRadP(ideal I, int p)
 {
-//=== computes F=(F_1,...,F_n) such that <F_i>=IZ/p[x_1,...,x_n] intersected with Z/p[x_i], F_i monic
+//=== computes F=(F_1,...,F_n) such that <F_i>=IZ/p[x_1,...,x_n] intersected 
+//=== with Z/p[x_i], F_i monic
    def R0 = basering;
    list ringL = ringlist(R0);
Index: Singular/LIB/primdecint.lib
===================================================================
--- Singular/LIB/primdecint.lib	(revision d8423632ac2a14a2b19b324e619be2d5757af760)
+++ Singular/LIB/primdecint.lib	(revision f9ca02cf4e7ca6471ca05a1f4101af8205ac65ca)
@@ -9,5 +9,5 @@
 @*        S. Steidel      steidel@mathematik.uni-kl.de
 
-NOTE:
+OVERVIEW:
 
   A library for computing the primary decomposition of an ideal in the polynomial
@@ -25,5 +25,4 @@
 
 ////////////////////////////////////////////////////////////////////////////////
-
 
 proc primdecZ(ideal I, list #)
@@ -42,5 +41,4 @@
    if(size(I)==0){return(list(ideal(0),ideal(0)));}
 
-
    //--------------------  Initialize optional parameters  ------------------------
    if(size(#) > 0)
@@ -109,20 +107,12 @@
       //=== computes the primes occuring in a generator of I intersect Z
 
-
-
       list L = primefactors(q);
 
-
-
       list A;
-
       ideal J = imap(R,J);
 
-
-
       for(j=1;j<=size(L[3]);j++)
       {
          if(L[3][j] > 1){ ex = 1; break; }
-
       }
 
@@ -164,7 +154,9 @@
             for(i = 1; i <= n; i++)
             {
-               if(status(l(i), "read", "ready"))                         // ask if link l(i) is ready otherwise sleep for t seconds
+               //=== ask if link l(i) is ready otherwise sleep for t seconds 
+               if(status(l(i), "read", "ready"))                         
                {
-                  A[size(A)+1] = read(l(i));                             // read the result from l(i)
+                  //=== read the result from l(i) 
+                  A[size(A)+1] = read(l(i));                             
 
                   if(j <= size(L[3]))
@@ -182,5 +174,6 @@
                }
             }
-            if(k_link == n)                                              // k_link describes the number of closed links
+            //=== k_link describes the number of closed links
+            if(k_link == n)                                              
             {
                j++;
@@ -197,5 +190,4 @@
          }
       }
-
 
       setring R;
@@ -368,5 +360,4 @@
          pr[size(pr)+1]=M[i];
       }
-
    }
    return(pr);
@@ -900,9 +891,8 @@
 
 static proc modp(ideal J, int p, int nu)
-
-{
-
+{
+//=== computes the minimal associated primes (if nu > 1) resp. the primary 
+//=== decomposition (else) of J in Z/p and maps the result back to the basering
    def R = basering;
-
    list rp = ringlist(R);
    rp[1] = p;
@@ -915,27 +905,15 @@
       list A = minAssGTZ(J);
       setring R;
-
       list A = imap(Rp,A);
-
       return(list(A,p,nu));
-
-   }
-
+   }
    else
-
-   {
-
+   {
       list A = primdecGTZ(J);
-
       setring R;
-
       list A = imap(Rp,A);
-
       return(list(A,p,nu));
-
-   }
-
-}
-
+   }
+}
 
 ////////////////////////////////////////////////////////////////////////////////
@@ -943,5 +921,5 @@
 static proc coefPrimeZ(ideal I)
 {
-//=== computes the primes occurning in the product of the leading coefficients of I
+//=== computes the primes occuring in the product of the leading coefficients of I
    number h=1;
    int i;
@@ -963,8 +941,8 @@
 static proc coefZ(ideal I)
 {
-   //assume === IQ[variables]=<g_1,...,g_s>, Groebner basis, g_i in Z[variables]
-   //=== computes an integer h such that
-   //=== <g_1,...,g_s>Z[variables]:h^infinity = IQ[variables] intersected with Z[variables]
-   //=== returns a list with IQ[variables] intersected with Z[variables] and h
+//=== assume IQ[variables]=<g_1,...,g_s>, Groebner basis, g_i in Z[variables]
+//=== computes an integer h such that
+//=== <g_1,...,g_s>Z[variables]:h^infinity = IQ[variables] intersected with Z[variables]
+//=== returns a list with IQ[variables] intersected with Z[variables] and h
    int h=1;
    int i,e;
@@ -1098,5 +1076,4 @@
          rl[1]=0;
          def Shelp =ring(rl);
-
       }
       poly h=1;
@@ -1150,7 +1127,7 @@
    while(size(reduce(J,stdZ(I)))!=0)
    {
-       I=J;
-       J=quotientOneZ(I,h);
-       J=normalizeZ(J);
+      I=J;
+      J=quotientOneZ(I,h);
+      J=normalizeZ(J);
    }
    return(J);
@@ -1161,5 +1138,6 @@
 static proc prepareQuotientring (int nnp)
 {
-//=== this is from primdec.lib, it is static there, should be imported later if it is no more static
+//=== this is from primdec.lib, it is static there, should be imported later 
+//=== if it is no more static
   ideal @ih,@jh;
   int npar=npars(basering);
@@ -1177,11 +1155,10 @@
   for(@n=2;@n<=nnp;@n++)
   {
-    quotring=quotring+",var("+string(@n)+")";
-    @jh=@jh+var(@n);
+     quotring=quotring+",var("+string(@n)+")";
+     @jh=@jh+var(@n);
   }
   quotring=quotring+"),(C,lp);";
 
   return(quotring);
-
 }
 
@@ -1190,6 +1167,6 @@
 static proc maxIndependSet (ideal j)
 {
-
-//=== this is from primdec.lib, it is static there, should be imported later if it is no more static
+//=== this is from primdec.lib, it is static there, should be imported later 
+//=== if it is no more static
   int n,k,di;
 
@@ -1243,9 +1220,10 @@
 static proc quotientOneZ(ideal I, poly f)
 {
-//=== this is needed because quotient(I,f) does not work properly, should be replaced by quotient later
+//=== this is needed because quotient(I,f) does not work properly, should be 
+//=== replaced by quotient later
    def R=basering;
    int i;
    ideal K=intersectZ(I,ideal(f));
-   //=== K[i]/f; does not work in rings with integer! This should by replaced later
+   //=== K[i]/f; does not work in rings with integer! This should be replaced later
    execute("ring Rhelp=0,("+varstr(R)+"),dp;");
    ideal K=imap(R,K);
@@ -1264,5 +1242,6 @@
 static proc quotientZ(ideal I, ideal J)
 {
-//=== this is needed because quotient(I,J) does not work properly, should be replaced by quotient later
+//=== this is needed because quotient(I,J) does not work properly, should be 
+//=== replaced by quotient later
    int i;
    ideal K=quotientOneZ(I,J[1]);
@@ -1278,5 +1257,6 @@
 static proc reduceZ(poly f, ideal I)
 {
-//=== this is needed because reduce(f,I) does not work properly, should be replaced by reduce later
+//=== this is needed because reduce(f,I) does not work properly, should be 
+//=== replaced by reduce later
    if(f==0){return(f);}
    def R=basering;
@@ -1297,20 +1277,19 @@
          if(m!=0)
          {
-             n=leadcoef(f) mod leadcoef(I[j]);
-             if(n==0)
-             {
-                 f=f-leadcoef(f)/leadcoef(I[j])*m*I[j];
-                 if(f==0){setring R;return(0);}
-                 i=0;
-                 break;
-              }
-              if(n!=leadcoef(f))
-              {
-                   f=f+(n-leadcoef(f))/leadcoef(I[j])*m*I[j];
-                   i=0;
-                   break;
-               }
-
-          }
+            n=leadcoef(f) mod leadcoef(I[j]);
+            if(n==0)
+            {
+               f=f-leadcoef(f)/leadcoef(I[j])*m*I[j];
+               if(f==0){setring R;return(0);}
+               i=0;
+               break;
+            }
+            if(n!=leadcoef(f))
+            {
+               f=f+(n-leadcoef(f))/leadcoef(I[j])*m*I[j];
+               i=0;
+               break;
+            }
+         }
       }
    }
@@ -1325,5 +1304,5 @@
 {
 //=== this is needed because we want the leading coefficients to be positive
-//=== otherwhise reduce gives wrong results!   should be replaced later by std
+//=== otherwhise reduce gives wrong results! should be replaced later by std
    I=simplify(I,2);
    I=normalizeZ(I);
@@ -1341,7 +1320,8 @@
 ///////////////////////////////////////////////////////////////////////////////
 
-proc intersectZ(ideal I, ideal J)
-{
-//=== this is needed because intersect(I,J) does not work, should be replaced by intersect later
+static proc intersectZ(ideal I, ideal J)
+{
+//=== this is needed because intersect(I,J) does not work, should be replaced 
+//=== by intersect later
    def R = basering;
    execute("ring S=integer,(t,"+varstr(R)+"),(dp(1),dp(nvars(R)));");
@@ -1393,5 +1373,5 @@
 
 /*
-examples
+Examples:
 
 //=== IQ[a,b,c,d,e,f,g] intersect Z[a,b,c,d,e,f,g] = I  (takes some time)
Index: Singular/LIB/surfacesignature.lib
===================================================================
--- Singular/LIB/surfacesignature.lib	(revision d8423632ac2a14a2b19b324e619be2d5757af760)
+++ Singular/LIB/surfacesignature.lib	(revision f9ca02cf4e7ca6471ca05a1f4101af8205ac65ca)
@@ -1,7 +1,7 @@
-//
+///////////////////////////////////////////////////////////////////////////////
 version="$Id$";
 category="Singularities";
 info="
-LIBRARY:  surfacesignature.lib       signature of surface singularity
+LIBRARY:  surfacesignature.lib        signature of surface singularity
 
 AUTHORS:  Gerhard Pfister             pfister@mathematik.uni-kl.de
@@ -29,5 +29,5 @@
 
 ///////////////////////////////////////////////////////////////////////////////
-//------- sigma(z^N + f) in terms of Puiseux pairs of f for f irreducible ----
+//------- sigma(z^N + f) in terms of Puiseux pairs of f for f irreducible -----
 
 static proc exponentSequence(poly f)
